module Trackable
  extend ActiveSupport::Concern
  include PublicActivity::Model

  included do
    tracked owner: proc { |controller, _model|
      _model.try(:user) || _model.try(:owner) || controller.try(:current_user) }
  end
end
