class LearningObjectSerializer < ActiveModel::Serializer
  def default_location
    object.default_attachment.try(:retrieve_url)
  end

  def default_mime_type
    object.default_attachment.try(:retrieve_url)
  end

  attributes :id, :name, :description, :author, :thumbnail, :publisher, :language, :default_location, :default_mime_type, :score, :license, :likes_count, :shares_count, :created_at, :updated_at

  has_many :tags
  has_many :attachments
end
